Package: java.util

## Class ResourceBundle

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `static ResourceBundle` | `getBundle(String bundleName)` Works exactly like ResourceBundle.getBundle(String).
    `static ResourceBundle` | `getBundle(String bundleName, Locale locale)` Works exactly like ResourceBundle.getBundle(String, Locale).

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public static ResourceBundle getBundle(String bundleName)

      Works exactly like ResourceBundle.getBundle(String). This is needed because the java method depends on a particular stack configuration that is not guaranteed in Groovy when calling the Java method.

      Parameters:
        `bundleName` - the name of the bundle.
      Returns:
        the resource bundle
      Since:
        1.6.0
      See Also:
        ResourceBundle#getBundle(java.lang.String)

    - #### public static ResourceBundle getBundle(String bundleName, Locale locale)

      Works exactly like ResourceBundle.getBundle(String, Locale). This is needed because the java method depends on a particular stack configuration that is not guaranteed in Groovy when calling the Java method.

      Parameters:
        `bundleName` - the name of the bundle.
        `locale` - the specific locale
      Returns:
        the resource bundle
      Since:
        1.6.0
      See Also:
        ResourceBundle#getBundle(java.lang.String, java.util.Locale)